Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class InvalidTargetObjectTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.modelmbean.InvalidTargetObjectTypeException

All Implemented Interfaces:
  Serializable

public class InvalidTargetObjectTypeException
extends Exception

Thrown when unrecognizable target object type is set to a Model MBean instance

Version:
  $Revision: 1.6 $

  Revisions:

  20020715 Adrian Brock:

  - Serialization
Author:
  Juha Lindfors., Adrian Brock.
See Also:
  `ModelMBean`, Serialized Form

Constructor Summary
`InvalidTargetObjectTypeException()`
`InvalidTargetObjectTypeException(Exception e, String s)`
`InvalidTargetObjectTypeException(String s)`

Method Summary
`String` | `toString()` Returns a string representation of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException()

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(String s)

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(Exception e,
                                            String s)

Method Detail

### toString

    public String toString()

  Returns a string representation of this exception. The returned string contains this exception name, message and a string representation of the target exception if it has been set.

  Returns:
    string representation of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.